Skip to main content
`Ctrl`+`K`

# PetscDSUseJacobianPreconditioner

Set whether to construct a Jacobian preconditioner

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSUseJacobianPreconditioner(PetscDS prob, PetscBool useJacPre)

Not Collective

## Input Parameters

- prob - The `PetscDS`

- useJacPre - flag that enables construction of a Jacobian preconditioner

## Developer Note

Should be called `PetscDSSetUseJacobianPreconditioner()`

## See Also

`PetscDS`, `PetscDSGetJacobianPreconditioner()`, `PetscDSSetJacobianPreconditioner()`, `PetscDSGetJacobian()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages